@echo off
echo:
echo:Welcome to Document Services for Printing (DS/P).
echo:Please refer to QWKSTART.TXT for step by step installation instructions.
echo:
echo:Note: CLIB upgrade patches must be installed on your file server
echo:      in order for DS/P to be operational. Refer to README.TXT for details.
echo:
echo:Do you wish to continue? Press any key to continue, or CTRL-C to abort...
pause >nul

checkdrv.exe %1 10              ;"10" indicates min. amount (MB) of diskspace req
if errorlevel 1 goto DISKSPACE


REM -- Check to see whether user is running from floppy. If user is running from
REM -- floppy, WINSETUP.BAT, TES.COM must exist on this floppy. 
    if not exist winsetup.bat goto USAGE
	if not exist tes.com goto USAGE

REM -- Try to load TES. This requires Netware shell to be loaded.
	tes win > nul

REM -- Check if TES loaded or not. If TES was not loaded, display error message and quit.
	if errorlevel 255 goto error

REM -- Invoke setup program under Windows.
win ctlconfg.exe
tes unload > nul
goto end

:error
echo NetWare shell not loaded. Please load and retry.
:goto end


:DISKSPACE
	echo:
	echo: There is insufficient disk space on the selected drive to initialize
	echo: DS/P.  Select another drive or free at least 10 MB of disk space.
	echo: 
	goto end

:USAGE
	echo:
	echo: USAGE:
	echo:   WINSETUP  
	echo:
	echo: EXAMPLE:
	echo:   A: (or B:)  -- always invoke WINSETUP.BAT from the floppy drive
	echo:   CD \        -- started from the root directory
	echo:   WINSETUP    -- installed to the hard-drive C:
	echo:

:end
